<header class="header">

   <h1 [routerLink]="['/']">Angular</h1>
   <ul class="header-nav">
      <li routerLinkActive="active" [routerLinkActiveOptions]="{exact:true}"><a [routerLink]="['/']"
            class="active">Home</a></li>
      <li routerLinkActive="active"><a [routerLink]="['/posts']">Posts</a></li>
      <li routerLinkActive="active"><a [routerLink]="['/modal']">Modal</a></li>
      <li><button class="btn" [routerLink]="['/login']">Login form</button></li>
   </ul>

</header>

<div class="container">


   <div class="block">

      <router-outlet></router-outlet>
   </div>
</div>

<app-counter></app-counter>